name: Deploy Pruebas

on:
  push:
    branches:
      - Pruebas

jobs:
  deploy:
    runs-on: ubuntu-latest
    environment: 
      name: pruebasPAAD
    steps:
    - name: Checkout code
      uses: actions/checkout@v2

    - name: Deploy to Server
      uses: appleboy/ssh-action@master
      with:
        host: ${{ secrets.SERVER_IP }}
        username: ${{ secrets.SERVER_USER }}
        key: ${{ secrets.SSH_PRIVATE_KEY }}
        script: |
          cd /usr/share/nginx/html/paad/
          git fetch --all
          git reset --hard origin/Pruebas
